{
    "$graph": [
        {
            "class": "CommandLineTool",
            "id": "#download_pheno.cwl",
            "baseCommand": [],
            "inputs": [
                {
                    "id": "#download_pheno.cwl/download_pheno/query",
                    "type": "string",
                    "inputBinding": {
                        "position": 0,
                        "prefix": "-g",
                        "shellQuote": false,
                        "valueFrom": "$(inputs.query) -of $(inputs.query)_pheno.csv"
                    }
                }
            ],
            "label": "download_pheno",
            "arguments": [
                {
                    "position": 0,
                    "prefix": "",
                    "shellQuote": false,
                    "valueFrom": "pymethyl-preprocess download_geo_clinical_info "
                }
            ],
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "pymethylprocess:latest"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "outputs": [
                {
                    "id": "#download_pheno.cwl/download_pheno/output_pheno_sheet",
                    "type": "File",
                    "outputBinding": {
                        "glob": "*pheno.csv"
                    }
                }
            ]
        },
        {
            "class": "Workflow",
            "id": "#main",
            "label": "download_pheno",
            "inputs": [
                {
                    "id": "#main/query",
                    "type": "string",
                    "https://www.sevenbridges.com/x": -276,
                    "https://www.sevenbridges.com/y": -74
                }
            ],
            "outputs": [
                {
                    "id": "#main/output_pheno_sheet",
                    "outputSource": [
                        "#main/download_pheno/output_pheno_sheet"
                    ],
                    "type": "File",
                    "https://www.sevenbridges.com/x": 34,
                    "https://www.sevenbridges.com/y": -71
                }
            ],
            "steps": [
                {
                    "id": "#main/download_pheno",
                    "in": [
                        {
                            "id": "#main/download_pheno/query",
                            "source": "#main/query"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/download_pheno/output_pheno_sheet"
                        }
                    ],
                    "run": "#download_pheno.cwl",
                    "label": "download_pheno",
                    "https://www.sevenbridges.com/x": -133,
                    "https://www.sevenbridges.com/y": -73
                }
            ],
            "requirements": []
        }
    ],
    "cwlVersion": "v1.0",
    "$namespaces": {
        "sbg": "https://www.sevenbridges.com/"
    }
}
